# dmd.scanmach

Extract symbols from a Mach-O object file.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: scanmach.d

Documentation: https://dlang.org/phobos/dmd_scanmach.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/scanmach.d

- `scanMachObjModule`

  #### Declaration

  `void `scanMachObjModule`(void delegate(const(char)[] name, int pickAny) `pAddSymbol`, const(ubyte)[] `base`, const(char)* `module_name`, Loc `loc`);`

  Reads an object module from `base`[] and passes the names of any exported symbols to (*`pAddSymbol`)().

  #### Parameters

  `void delegate(const(char)[] name, int pickAny) `pAddSymbol`` | function to pass the names to
  `const(ubyte)[] `base`` | array of contents of object module
  `const(char)* `module_name`` | name of the object module (used for error messages)
  `Loc `loc`` | location to use for error printing